获取我们在 Firebase 峰会上发布的所有信息,了解 Firebase 可如何帮助您加快应用开发速度并满怀信心地运行应用。了解详情

Zależności pakietów Firebase Android SDK od usług Google Play

Niektóre pakiety SDK Firebase na Androida są zależne od usług Google Play , co oznacza, że ​​będą działać tylko na urządzeniach i emulatorach z zainstalowanymi usługami Google Play. Te pakiety SDK Firebase komunikują się z usługami działającymi w tle usług Google Play na urządzeniu, zapewniając bezpieczny, aktualny i lekki interfejs API dla Twojej aplikacji. Niektóre urządzenia z systemem Android, takie jak urządzenia Amazon Kindle Fire lub urządzenia sprzedawane w niektórych regionach, nie mają zainstalowanych usług Google Play.

Które zestawy SDK Firebase na Androida wymagają usług Google Play?

Zestawy SDK Firebase można podzielić na trzy kategorie:

  • Wymagane usługi Play — te pakiety SDK wymagają usług Google Play, w przeciwnym razie nie będą działać.
  • Zalecane usługi Play — te pakiety SDK wymagają pełnej funkcjonalności usług Google Play, ale nadal oferują większość funkcji nawet bez usług Google Play.
  • Usługi Play nie są wymagane — te pakiety SDKS nie wymagają pełnej funkcjonalności usług Google Play.

Poniższe tabele dotyczą tylko najnowszej wersji każdego pakietu SDK. Niektóre starsze wersje mogą mieć bardziej rygorystyczne wymagania.

Usługi Google Play nie są wymagane

Produkt Biblioteka Usługi Google Play?
Aplikacja Sprawdź dostawców niestandardowych i debugujących com.google.firebase:firebase-appcheck:16.1.0
com.google.firebase:firebase-appcheck-ktx:16.1.0
com.google.firebase:firebase-appcheck-debug:16.1.0
Nie wymagane
Interfejs API dystrybucji aplikacji com.google.firebase:firebase-appdistribution-api:16.0.0-beta05
com.google.firebase:firebase-appdistribution-api-ktx:16.0.0-beta05
Nie wymagane
Dystrybucja aplikacji com.google.firebase:firebase-appdistribution:16.0.0-beta05 Nie wymagane
Uwierzytelnianie com.google.firebase:firebase-auth:21.1.0
com.google.firebase:firebase-auth-ktx:21.1.0
Nie wymagane
Cloud Firestore com.google.firebase:firebase-firestore:24.4.1
com.google.firebase:firebase-firestore-ktx:24.4.1
Nie wymagane
Cloud Functions dla pakietu SDK klienta Firebase com.google.firebase:funkcje-firebase:20.2.1
com.google.firebase:firebase-functions-ktx:20.2.1
Nie wymagane
Przechowywanie w chmurze dla Firebase com.google.firebase:firebase-storage:20.1.0
com.google.firebase:firebase-storage-ktx:20.1.0
Nie wymagane
Crashlytics com.google.firebase:firebase-crashlytics:18.3.2
com.google.firebase:firebase-crashlytics-ktx:18.3.2
Nie wymagane
Wiadomości w aplikacji com.google.firebase:firebase-inappmessaging:20.2.0
com.google.firebase:firebase-inappmessaging-ktx:20.2.0
Nie wymagane
Wyświetlanie wiadomości w aplikacji com.google.firebase:firebase-inappmessaging-display:20.2.0
com.google.firebase:firebase-inappmessaging-display-ktx:20.2.0
Nie wymagane
Instalacje Firebase com.google.firebase:firebase-installations:17.1.0
com.google.firebase:firebase-installations-ktx:17.1.0
Nie wymagane
Monitoring wydajności com.google.firebase:firebase-perf:20.3.0
com.google.firebase:firebase-perf-ktx:20.3.0
Nie wymagane
Baza danych czasu rzeczywistego com.google.firebase:firebase-database:20.1.0
com.google.firebase:firebase-database-ktx:20.1.0
Nie wymagane
Zdalna konfiguracja com.google.firebase:firebase-config:21.2.0
com.google.firebase:firebase-config-ktx:21.2.0
Nie wymagane
Produkt Biblioteka Usługi Google Play?
AdMob com.google.android.gms:play-services-ads:21.3.0 Zalecana*
Analityka com.google.firebase:firebase-analytics:21.2.0
com.google.firebase:firebase-analytics-ktx:21.2.0
Zalecana*
Dostawca sprawdzania integralności aplikacji Play com.google.firebase:firebase-appcheck-playintegrity:16.1.0 Wymagany
Aplikacja Sprawdź dostawcę SafetyNet com.google.firebase:firebase-appcheck-safetynet:16.1.0 Wymagany
Indeksowanie aplikacji com.google.firebase:firebase-appindexing:20.0.0 Wymagany
Wiadomości w chmurze com.google.firebase:firebase-messaging:23.1.0
com.google.firebase:firebase-messaging-ktx:23.1.0
Wymagany
Linki dynamiczne com.google.firebase:firebase-dynamic-links:21.1.0
com.google.firebase:firebase-dynamic-links-ktx:21.1.0
Wymagany
Wizja Firebase ML com.google.firebase:firebase-ml-vision:24.1.0 Wymagany
Model niestandardowy Firebase ML com.google.firebase:firebase-ml-model-interpreter:22.0.4 Wymagany

* Pakiet Firebase SDK dla Google Analytics może wysyłać zdarzenia na dowolne urządzenie, ale niektóre automatyczne statystyki, takie jak dane demograficzne, są dostępne tylko na urządzeniach z usługami Google Play.